---
title: Spanning Tree Protocol (STP)
author: Carl Kittelberger

papersize: a4
classoption: oneside
mainfont: Arial
sansfont: Arial

header-includes:
  - \usepackage{longtable}
---

![](img/06-stp/stp_3node.png)

*Schleife in der Verkabelung erzeugt Broadcaststurm!*

Ein Switch im Netz wird als **Root-Switch** festgelegt.
Switches unterhalten sich über **BPDUs** (*Bridge Protocol Data Units*).
Der Switch mit der höchsten Priorität wird der Root-Switch.

Jeder Switch bekomment eine Switch-Kennung:

![](img/06-stp/stp_swid.png){width=200px}

Jeder Switch aktiviert *eine* Leitung zum Root-Switch hin.

→ Netz wird auf einen logischen Baum reduziert
→ **Spannbaum** (*Spanning Tree*)

→ Jedes Teilstück der Verbindung wird mit "Kosten" belegt.

→ Der Pfad von Switch zum Root-Switch mit den geringsten Gesamtkosten (**Root-Path-costs**) wird aktiviert.
→ **Rootpath**. Der Port am Switch, der zum Root führt ist der **Rootport**.
